Bug 447328 - Installation of NX on x86_64 fails
Installation of NX on x86_64 fails
Status: CLOSED DUPLICATE of bug 446816
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 11:10 EDT by David Jansen
Modified: 2008-05-20 11:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 11:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jansen 2008-05-19 11:10:36 EDT
Description of problem:
An attempt to install NX on Fedora 9 x86_84 fails. Short summary: nx is only
available as an i386 package in the Fedora repositories, freenx-server expects a
 x86_64 package or at leadt a /usr/lib64/nx directory, which is not provided by
the nx package.

Version-Release number of selected component (if applicable):
nx-3.2.0-27.fc9.i386.rpm
freenx-server-0.7.2-8.fc9.x86_64.rpm

How reproducible:

# yum install freenx-server
Loaded plugins: fedorakmod, priorities, refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package freenx-server.x86_64 0:0.7.2-8.fc9 set to be updated
filelists.sqlite.bz2                                     | 168 kB     00:00    
filelists.sqlite.bz2                                     | 783 kB     00:00    
--> Processing Dependency: expect for package: freenx-server
--> Processing Dependency: /usr/lib64/nx for package: freenx-server
--> Processing Dependency: nx for package: freenx-server
--> Processing Dependency: /usr/bin/expect for package: freenx-server
--> Running transaction check
---> Package freenx-server.x86_64 0:0.7.2-8.fc9 set to be updated
--> Processing Dependency: /usr/lib64/nx for package: freenx-server
---> Package expect.x86_64 0:5.43.0-13.fc9 set to be updated
---> Package nx.i386 0:3.2.0-27.fc9 set to be updated
--> Finished Dependency Resolution
freenx-server-0.7.2-8.fc9.x86_64 from updates has depsolving problems
  --> Missing Dependency: /usr/lib64/nx is needed by package
freenx-server-0.7.2-8.fc9.x86_64 (updates)
Error: Missing Dependency: /usr/lib64/nx is needed by package
freenx-server-0.7.2-8.fc9.x86_64 (updates)

As can be seen here, freenx-server has nx as a dependency and yum pulls it in,
but since it has the wrong architecture, dependencies are still not met, and the
installation fails.

I have checked other mirrors, and haven't seen a nx.x86_64 package yet, so it is
not just a problem of a mirror not being in sync.
Comment 1 Axel Thimm 2008-05-20 11:34:00 EDT

*** This bug has been marked as a duplicate of 446816 ***

Note You need to log in before you can comment on or make changes to this bug.